com.tibbo.aggregate.common.action.command

## Class EditReport

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.EditReport

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class EditReport
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_DATA`
    `static java.lang.String` | `CF_RESOURCES`
    `static java.lang.String` | `CF_RESOURCES_DATA`
    `static java.lang.String` | `CF_SUBREPORTS`
    `static java.lang.String` | `CF_SUBREPORTS_DATA`
    `static java.lang.String` | `CF_SUBREPORTS_NAME`
    `static java.lang.String` | `CF_SUBREPORTS_TEMPLATE`
    `static java.lang.String` | `CF_TEMPLATE`
    `static TableFormat` | `CFT_EDIT_REPORT`
    `static TableFormat` | `CFT_RESOURCES`
    `static TableFormat` | `CFT_SUBREPORTS`
    `static java.lang.String` | `RF_RESULT`
    `static java.lang.String` | `RF_TEMPLATE`
    `static TableFormat` | `RFT_EDIT_REPORT`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditReport()`
    `EditReport(java.lang.String title, DataTable parameters)`
    `EditReport(java.lang.String title, java.lang.String template, DataTable data, DataTable subreports, DataTable resources)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `DataTable` | `getData()`
    `java.lang.String` | `getTemplate()`
    `void` | `setData(DataTable data)`
    `void` | `setTemplate(java.lang.String template)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_TEMPLATE

          public static final java.lang.String CF_TEMPLATE

      See Also:
        Constant Field Values

    - #### CF_DATA

          public static final java.lang.String CF_DATA

      See Also:
        Constant Field Values

    - #### CF_SUBREPORTS

          public static final java.lang.String CF_SUBREPORTS

      See Also:
        Constant Field Values

    - #### CF_RESOURCES

          public static final java.lang.String CF_RESOURCES

      See Also:
        Constant Field Values

    - #### RF_TEMPLATE

          public static final java.lang.String RF_TEMPLATE

      See Also:
        Constant Field Values

    - #### RF_RESULT

          public static final java.lang.String RF_RESULT

      See Also:
        Constant Field Values

    - #### CFT_EDIT_REPORT

          public static final TableFormat CFT_EDIT_REPORT

    - #### RFT_EDIT_REPORT

          public static final TableFormat RFT_EDIT_REPORT

    - #### CF_SUBREPORTS_NAME

          public static final java.lang.String CF_SUBREPORTS_NAME

      See Also:
        Constant Field Values

    - #### CF_SUBREPORTS_TEMPLATE

          public static final java.lang.String CF_SUBREPORTS_TEMPLATE

      See Also:
        Constant Field Values

    - #### CF_SUBREPORTS_DATA

          public static final java.lang.String CF_SUBREPORTS_DATA

      See Also:
        Constant Field Values

    - #### CFT_SUBREPORTS

          public static final TableFormat CFT_SUBREPORTS

    - #### CF_RESOURCES_DATA

          public static final java.lang.String CF_RESOURCES_DATA

      See Also:
        Constant Field Values

    - #### CFT_RESOURCES

          public static final TableFormat CFT_RESOURCES

  - ### Constructor Detail

    - #### EditReport

          public EditReport()

    - #### EditReport

          public EditReport(java.lang.String title,
                            java.lang.String template,
                            DataTable data,
                            DataTable subreports,
                            DataTable resources)

    - #### EditReport

          public EditReport(java.lang.String title,
                            DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### setTemplate

          public void setTemplate(java.lang.String template)

    - #### getData

          public DataTable getData()

    - #### setData

          public void setData(DataTable data)